Frameworks API
Manage compliance frameworks and access their control catalogs.
List Frameworks
GET /api/v1/frameworks
Returns all available compliance frameworks.
Query Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
limit | integer | 50 | Maximum results (1-200) |
offset | integer | 0 | Pagination offset |
Example Request
curl https://api.clawgrc.com/api/v1/frameworks?limit=5 \
-H "Authorization: Bearer YOUR_TOKEN"
Example Response
{
"frameworks": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "SOC 2 Type II",
"version": "2017",
"standard_body": "AICPA",
"status": "active",
"description": "Service Organization Control 2 Type II - Trust Services Criteria",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "ISO 27001:2022",
"version": "2022",
"standard_body": "ISO/IEC",
"status": "active",
"description": "Information security management systems",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z"
}
],
"total": 11,
"limit": 5,
"offset": 0
}
Get Framework
GET /api/v1/frameworks/:id
Returns a single framework by ID.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | UUID | Framework ID |
Example Request
curl https://api.clawgrc.com/api/v1/frameworks/550e8400-e29b-41d4-a716-446655440001 \
-H "Authorization: Bearer YOUR_TOKEN"
Example Response
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "SOC 2 Type II",
"version": "2017",
"standard_body": "AICPA",
"status": "active",
"description": "Service Organization Control 2 Type II - Trust Services Criteria",
"schema_data": {},
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z"
}
Error Responses
| Status | Description |
|---|---|
| 404 | Framework not found |
List Framework Controls
GET /api/v1/frameworks/:id/controls
Returns all controls for a specific framework.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | UUID | Framework ID |
Query Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
limit | integer | 50 | Maximum results (1-200) |
offset | integer | 0 | Pagination offset |
category | string | - | Filter by category |
Example Request
curl "https://api.clawgrc.com/api/v1/frameworks/550e8400-.../controls?category=Common+Criteria" \
-H "Authorization: Bearer YOUR_TOKEN"
Example Response
{
"controls": [
{
"id": "ctrl-uuid",
"framework_id": "550e8400-e29b-41d4-a716-446655440001",
"control_id_code": "CC1.1",
"title": "COSO Principle 1: The entity demonstrates a commitment to integrity and ethical values",
"description": "The entity demonstrates a commitment to integrity and ethical values.",
"testing_procedures": "Inspect the entity's code of conduct and ethics policy...",
"category": "Common Criteria",
"sort_order": 1
}
],
"total": 64,
"limit": 50,
"offset": 0
}